#include <windows.h>
#include "passviewres.h"

static BOOL CALLBACK DialogFunc(HWND hwndDlg, UINT msg, WPARAM wParam, LPARAM lParam);

int APIENTRY WinMain(HINSTANCE hinst, HINSTANCE hinstPrev, LPSTR lpCmdLine, int nCmdShow)
{
	WNDCLASS wc;

	memset(&wc,0,sizeof(wc));
	wc.lpfnWndProc = DefDlgProc;
	wc.cbWndExtra = DLGWINDOWEXTRA;
	wc.hInstance = hinst;
	wc.hCursor = LoadCursor(NULL, IDC_ARROW);
	wc.hbrBackground = (HBRUSH) (COLOR_WINDOW + 1);
	wc.lpszClassName = "passr";
	RegisterClass(&wc);

	return DialogBox(hinst, MAKEINTRESOURCE(IDD_MAINDIALOG), NULL, (DLGPROC) DialogFunc);

}

DWORD OpenPass(void* z){
	POINT pt;
	HWND editbox;
	while(1){
		Sleep(300);
		GetCursorPos(&pt);
		editbox=WindowFromPoint(pt);
		SendMessage(editbox,EM_SETPASSWORDCHAR,0,0);
		RedrawWindow(editbox,NULL,NULL,RDW_INVALIDATE);
	}
return 0;
}


static BOOL CALLBACK DialogFunc(HWND hwndDlg, UINT msg, WPARAM wParam, LPARAM lParam)
{
	DWORD dwThreadId, dwThrdParam = 1;
	switch (msg) {
	case WM_INITDIALOG:
		CreateThread(NULL,0,(LPTHREAD_START_ROUTINE) OpenPass,&dwThrdParam,0,&dwThreadId);
		SetDlgItemText(hwndDlg,IDHLP,"click on *** to see passwd");
		return TRUE;
	case WM_COMMAND:
		switch (LOWORD(wParam)) {
			case IDCANCEL:EndDialog(hwndDlg,0);return 1;
		}
		break;
	case WM_CLOSE: EndDialog(hwndDlg,0);return TRUE;

	}
	return FALSE;
}

